package com.yihu.wlyy.entity.doctor.schedule;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 医生排班信息预约次数表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_doctor_scheduling_times")
public class DoctorSchedulingTimes extends IdEntity {
	private static final long serialVersionUID = 3079894901386133515L;

	// 排班标识
	private String scheduling;
	// 医生标识
	private String doctor;
	// 预约日期：如2016-04-23
	private Date appoDate;
	// 预约次数
	private Integer times;
	// 操作时间
	private Date czrq;

	public String getScheduling() {
		return scheduling;
	}

	public void setScheduling(String scheduling) {
		this.scheduling = scheduling;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	@Column(name = "appo_date")
	public Date getAppoDate() {
		return appoDate;
	}

	public void setAppoDate(Date appoDate) {
		this.appoDate = appoDate;
	}

	public Integer getTimes() {
		return times;
	}

	public void setTimes(Integer times) {
		this.times = times;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

}
